# Vo všetkých sadách platí $1\leq n\leq 100\,000$, $2\leq e\leq 10^9$ a pre každé $i$ platí $1\leq a_i\leq e$.
# 
# Rôzne sady majú rôzne veľkú (postupne rastúcu) maximálnu hodnotu $n$.
# V druhej sade je $n=10$, v tretej sade je $n=14$, v piatej sade je $n=100$, v siedmej sade je $n=7000$.
# 
# V sadách s nepárnym číslom platí, že v každom testovacom vstupe sú všetky $a_i$ navzájom rôzne.

import sys, re

data = sys.stdin.readlines()
assert len(data) == 2

assert re.match(r'^[1-9]\d* [1-9]\d*\n$', data[0])
N, E = [ int(x) for x in data[0].split() ]

assert 1 <= N <= 10**5
assert 2 <= E <= 10**9

assert re.match(r'^[1-9]\d*( [1-9]\d*)*\n$', data[1])
A = [ int(x) for x in data[1].split() ]

assert len(A) == N
for a in A:
    assert 1 <= a <= E

distinct = (len(A) == len(set(A)))

print('OK',N,'distinct' if distinct else '')

